Subject: Re: [PATCH net-next 0/2] act_bpf update

From: Alexei Starovoitov <[email-masked]>
Date: Fri, 20 Mar 2015 14:26:01 -0700

On 3/20/15 2:10 PM, Daniel Borkmann wrote:
>>
>>>
>>> This set depends on ced585c83b27 ("act_bpf: allow non-default TC_ACT
>>> opcodes as BPF exec outcome"), so a net into net-next merge would be
>>> required first. Hope that's fine by you, Dave. ;)
>>>
>>> Thanks a lot!
>>
>> Even with that commit, which is in net-next now, this series does
>> not apply without rejects.
>>
>> Please respin.
>
> So my HEAD is at latest net-next commit b4c11cb437fdb34b ("Merge branch
> 'amd-xgbe-next'"):
>
>    $ git cherry-pick ced585c83b27deca427c606a34dd3eaa6b96d82b
>    [ebpf-act 1b8dfa9] act_bpf: allow non-default TC_ACT opcodes as BPF
> exec outcome
>     1 file changed, 28 insertions(+), 8 deletions(-)
>    $ git am 0001-ebpf-add-sched_act_type-and-map-it-to-sk_filter-s-ve.patch
>    Applying: ebpf: add sched_act_type and map it to sk_filter's verifier
> ops
>    $ git am 0002-act_bpf-add-initial-eBPF-support-for-actions.patch
>    Applying: act_bpf: add initial eBPF support for actions
>    $
>
> The dependency mentioned in the cover letter is on net commit ced585c83b27
> ("act_bpf: allow non-default TC_ACT opcodes as BPF exec outcome"). On my
> side that applies fine, hm.

I don't think 'net' has been merged into 'net-next' yet.
Or may be merged, but not pushed...